import syslog


def fatal(message=''):
    _log(syslog.LOG_LOCAL0, message)

def error(message=''):
    _log(syslog.LOG_LOCAL3, message)

def info(message=''):
    _log(syslog.LOG_LOCAL6, message)

def debug(message=''):
    _log(syslog.LOG_LOCAL7, message)

def _log(facility, message):
    syslog.openlog("message_consumer", syslog.LOG_PID, facility)
    syslog.syslog(str(message))
    syslog.closelog()
